#include "irre.h"
#include<Arduino.h>

#define CS_PIN 5
#define IR_PIN 4

BinHeader configHeader;
uint16_t rawData[200];

void setup() {
  Serial.begin(115200);
  while (!Serial);

  if (!IRController::initializeSD(CS_PIN)) {
    Serial.println("SD卡初始化失败");
    while(1);
  }

  if (!IRController::loadConfig("/ir_config.bin", &configHeader, rawData)) {
    Serial.println("配置文件加载失败");
    while(1);
  }
}

void loop() {
  IRController::sendIRSignal(rawData, configHeader.bits/16, IR_PIN);
  delay(5000);
}